package MyApp;
use 5.008001;
use strict;
use warnings;

our $VERSION = "0.01";

use Plack::Request;
use MyApp::Controller;
use Mouse;

has controller => (
    is => "ro",
    isa => "MyApp::Controller",
    default => sub {
        my $controller = MyApp::Controller->new;
        $controller->build;
        return $controller;
    },
);

no Mouse;

sub build {
    my $self = shift;

    return sub {
        my $env = shift;
        my $req = Plack::Request->new($env);

        return $self->controller->dispatch($req);
    };
}

1;
