package MyApp::Model::Base;
use strict;
use warnings;

use Mouse;

has dbh => (
    is => "rw",
    isa => "Object",
    default => sub {
        MyApp::DB->get;
    },
);

has _fetched => (
    is => "rw",
    isa => "Bool",
    default => 0,
);

no Mouse;

1;
