use strict;
use warnings;
use Test::More;
use Test::MasterData::Declare;

master_data {
    load_csv items => "master-data/csv/items.csv";

    table items => "id",
        like_number 1 => 10;

    table items => "effect_parameter",
        if_column effect_type => 1,
        json energy =>
            like_number 1 => 100,
            sub { $_[0] % 10 == 0 };
};

done_testing;
